View Issue Details

IDProjectCategoryView StatusLast Update
0007287VALENTINA SERVERSQLite Serverpublic2015-10-16 12:01
Reporteryuriy_velichkoAssigned ToIvan Smahin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version6.0 
Target VersionFixed in Version6.0 
Summary0007287: Attempt to create database with name of existing database causes no errors
DescriptionTry to create two databases with the same name
TagsNo tags attached.

Activities

yuriy_velichko

yuriy_velichko

2015-10-15 14:46

developer   ~0008482

the same for local database (until the database is closed)
Ivan Smahin

Ivan Smahin

2015-10-16 08:03

manager   ~0008491

Last edited: 2015-10-16 08:03

View 2 revisions

and what's wrong with it?

yuriy_velichko

yuriy_velichko

2015-10-16 08:19

developer   ~0008492

We don't know the exact result of the operation.
For example in the VStudio, for dialog "Create Database" we checks the command result:
* if error - show it and try again
* if no error - open database with the given name

In the last case - the existing database will be opened - not exactly what user expects.
Ivan Smahin

Ivan Smahin

2015-10-16 08:27

manager   ~0008493

As far as I got it - you just want to throw a caution to the user that db exists - do you still want to create it?
Ivan Smahin

Ivan Smahin

2015-10-16 08:27

manager   ~0008494

Probably I_SqliteDatabase::get_Exists() will solve it?
yuriy_velichko

yuriy_velichko

2015-10-16 08:35

developer   ~0008495

Last edited: 2015-10-16 08:37

View 2 revisions

Of course, i can to figure out - is exists database with the same name, before execute query to create it.

But why this situation do not leads to error? Technically, the query result is not corresponds to its purpose, and can't be performed - this is error, as I understood.

For Valentina - is an error, why not for SQLite?

Ivan Smahin

Ivan Smahin

2015-10-16 09:10

manager   ~0008496

There is no such error for Valentina (excluding a couple ways: SQL "CREATE DATABASE...IF NOT EXISTS" extension and db under vServer since it is registered there).

Issue History

Date Modified Username Field Change
2015-10-15 14:42 yuriy_velichko New Issue
2015-10-15 14:46 yuriy_velichko Note Added: 0008482
2015-10-16 08:03 Ivan Smahin Note Added: 0008491
2015-10-16 08:03 Ivan Smahin Note Edited: 0008491 View Revisions
2015-10-16 08:19 yuriy_velichko Note Added: 0008492
2015-10-16 08:27 Ivan Smahin Note Added: 0008493
2015-10-16 08:27 Ivan Smahin Note Added: 0008494
2015-10-16 08:35 yuriy_velichko Note Added: 0008495
2015-10-16 08:37 yuriy_velichko Note Edited: 0008495 View Revisions
2015-10-16 09:10 Ivan Smahin Note Added: 0008496
2015-10-16 12:01 Ivan Smahin Status new => resolved
2015-10-16 12:01 Ivan Smahin Fixed in Version => 6.0
2015-10-16 12:01 Ivan Smahin Resolution open => fixed
2015-10-16 12:01 Ivan Smahin Assigned To => Ivan Smahin
2015-12-28 16:01 Ruslan Zasukhin Category SQLite => SQLite Server